# Computergrundlagen 2022

## Blatt 4: Markdown und LaTeX

- Abgabetermin für die Lösungen **2022-11-20T20:00**
- Schickt die Lösungen bitte per Mail an euren Tutor:
    - Loris Burth `st167380@stud.uni-stuttgart.de`
    - Simon Gravelle `sgravelle@icp.uni-stuttgart.de`
    - Louis Oberer `loberer@icp.uni-stuttgart.de`
    - Jonathan Ensslin `jensslin@icp.uni-stuttgart.de`
    - Konstantin Nikolaou `knikolaou@icp.uni-stuttgart.de`
- Die Übungen sollen in Gruppen von jeweils zwei (nur in Ausnahmefällen drei) Leuten bearbeitet werden.
- Jedes Übungsblatt bringt maximal 10 Punkte. Für die Zlassung zur Klausur bzw. den unbenoteten Schein (fachaffine Qualifikation Chemie) sind insgesamt mindestens 66 % der Punkte aller Übungsblätter kumulativ zu erreichen. Ebenso müssen in jedem Einzelnen mindestens 50% der Punkte erreicht werden.
- Mit Abgabe der Lösungen erklärt Ihr, dass Ihr die Lösung euren Mistudierenden im Rahmen der Übungsbesprechung vorstellen könnt. Um dies zu überprüfen, muss mindestens zweimal von jedem Teilnehmenden vorgetragen werden. Wenn Ihr das nicht könnt, werden euch die Punkte für die entsprechenden Aufgaben wieder abgezogen.

## Regular Expressions (3 Punkte)
Gegeben ist die folgende `*.csv` Datei. Für die weiteren Anwendungen kann die Datei in dieser Form nicht gelesen werden, da die Header Zeile mit einem `#` auskommentiert werden muss. Verwende `sed` um dei Datei in eine TAB getrennte `*.dat` Datei umzuwandeln und kommentiere alle Zeilen, welche nicht mti einer Zahl starten aus.

> Tipp: Du kannst mehrere RegEx in `sed` mit einem ; kombinieren.

Die Daten wurden generiert mit

$$
\sin(x)
 = \sum_{k=0}^\infty \frac{\left(-1\right)^k x^{1+2k}}{\left(1+2k\right)!}
 $$
 
```
time,value
0.0,0.0
2.5,19.58678273200191
5.0,36.8134807765938
7.5,49.60438487483491
10.0,56.41827116605174
12.5,56.4341090135293
15.0,49.64999005580644
17.5,36.88335815228383
20.0,19.6725125161383
22.5,0.09125229034389683
```

## Markdown (3 Punkte)
Gebe für diese Aufgabe das Übungsblatt selbst, geschrieben in Markdown ab. Du kannst für die Abgabe entweder die `*.md` Datei oder eine, mithilfe von `pandoc` erstellte `*.pdf` abgeben.

Informationen zu Markdown findest du auf den Folien oder z.B. bei GitHub.

> Tipp: Eine mittels `pandoc` erstellte `*.pdf` wird anders aussehen als die Markdown Datei in z.B. PyCharm, VS Code or Obsidian

## LaTeX (3 Punkte)
Gebe für diese Aufgabe das Übungsblatt selbst, geschrieben in $\LaTeX$ ab.
 
## Vor und Nachteile (1 Punkt)

Fülle in deiner Abgabe zusätzlich die folgende Tabelle mit den aus deiner Sicht Vor- und Nachteilen beider Dateiformate aus.
 
### Markdown
| Vorteil | Nachteil |
|---------|----------|
|Intuitiv |Weniger mächtig|
|Niedrigere Lernkurve|  Darstellung abhängig von Editor|
| Schnelle Kompilationszeit | |

### LaTeX
| Vorteil | Nachteil |
|---------|----------|
| Sehr mächtig | Wenig intuitiv nutzbar|
| Einheitliche Darstellung nach WYSIWYM-Prinzip | (Zeit-)aufwändige Erstellung von Dokumenten|
| Sehr flexible mit Paketen | |
